Skip to main content
POST
Validate electricity
Validate before Pay electricity. Pick plans[].planId from GET /vas/billers?category=electricity (Eko prepaid = ekedc_prepaid). No Idempotency-Key required.

Authorizations

X-Api-Key
string
header
required

API key id (sp_test_… / sp_live_…)

Headers

X-Timestamp
string
required

Unix time in seconds

X-Signature
string
required

HMAC-SHA256 signature

Body

application/json
meterNumber
string
required
planId
enum<string>
required

Slug from List billers → data.electricity.plans[].planId (e.g. ekedc_prepaid). Not the UUID id or providers.name.

Available options:
aedc_prepaid,
aedc_postpaid,
aple_prepaid,
aple_postpaid,
bedc_prepaid,
bedc_postpaid,
eedc_prepaid,
eedc_postpaid,
ekedc_prepaid,
ekedc_postpaid,
ibedc_prepaid,
ibedc_postpaid,
ikedc_prepaid,
ikedc_postpaid,
jed_prepaid,
jed_postpaid,
kaedco_prepaid,
kaedco_postpaid,
kedco_prepaid,
kedco_postpaid,
phed_prepaid,
phed_postpaid,
yedc_prepaid,
yedc_postpaid

Response

OK

The response is of type object.